#Finally out
from eventAPI import *
from APIUtils import *

def fireEvent(e):
    showPicture(e, "Red_Vortex")
    if (poseYesNo(e,
        ["There is a magic portal here, leading to Rennibister.",
         "Do you enter?"])):
        tickGame(e, 60)
        if not(getTag(e, "DKPlot1")):
            showMessage(e, ["Though you would gladly have done without this adventure, surviving these trap-riddled caves added to your experience.", "", "Nevertheless, you intend to exact revenge on the scoundrel responsible for that."])
            x, c = 0, getPartyCount(e)
            while (x < c):
                modifyXP(e, x, 2500)
                x += 1
            setTag(e, "DKPlot1", 1)
        setExit(e, "maps/renibister.cfg", 2, 27, 0)
    return 0
